// 商品状态标签管理

export default {
  data() {
    return {}
  },
  filters: {
    statusFilter(status) {
      const statusMap = {
        1: 'default',
        2: 'success',
        3: 'warning',
        8: 'danger'
      }
      return statusMap[status]
    }
  },
  methods: {
    // 商品状态管理
    storeStatus(row) {
      const status = {
        0: '已删除',
        1: '待审核',
        2: '已上架',
        3: '已下架',
        8: '审核未通过',
        9: '已隐身',
        10: '已冻结'
      }
      return status[row]
    }
  }
}
